Read
curl --request GET \
--url https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/{module}-native-create/{revision_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/{module}-native-create/{revision_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/{module}-native-create/{revision_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionNumber": 2,
"module": "seo",
"deliverable": "seo_strategy",
"title": "<string>",
"reviewState": "draft",
"accessState": "available",
"createdAt": "2023-11-07T05:31:56Z",
"exportReady": true,
"publishReady": true,
"baseRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completedAt": "2023-11-07T05:31:56Z",
"artifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"selection": {
"module": "seo",
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entrySurface": "seo_insight",
"deliverableKind": "seo_strategy",
"sourceScope": "dashboard_cohort",
"regionCode": "<string>",
"languageCode": "<string>",
"businessModel": "b2b",
"conversionModel": "leadgen",
"objective": "<string>",
"outputBudget": {
"maxOutputTokens": 50000,
"maxOutputChars": 250000
},
"accountGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupKey": "<string>",
"cohortDomains": [
"<string>"
],
"measurementWindow": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"coverage": "complete",
"sourceNote": "<string>"
},
"selectedEvidenceRefs": [
{
"module": "seo",
"sourceArtifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidenceRecordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"findingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ruleId": "<string>",
"panelKey": "<string>",
"itemKey": "<string>"
}
],
"seoSourceSelector": {
"sourceKind": "keyword_gap",
"competitorDomain": "<string>",
"keywords": [
"<string>"
],
"capturedAt": "2023-11-07T05:31:56Z",
"snapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"selectedContext": {
"brandKitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"guidelineIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"audienceProfileVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"personaIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scenarioIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"productIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"offerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"uploadIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"assetFormat": "blog_post",
"planAssetFormats": [
"blog_post"
],
"requestedAssetCount": 1,
"ownedPageRevision": {
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceKind": "owned_page_capture",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentHash": "<string>",
"canonicalUrl": "<string>",
"evidenceRecordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"sourceRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"contextSnapshotRef": {
"contextSnapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contextHash": "<string>",
"artifactSchemaVersion": "<string>",
"packetSchemaVersion": "<string>",
"projectionPolicyVersion": "<string>",
"manifestHash": "<string>"
},
"result": {
"deliverable": "seo_strategy",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"regionCode": "<string>",
"languageCode": "<string>",
"sourceScope": "dashboard_cohort",
"businessModel": "b2b",
"conversionModel": "leadgen",
"objective": "<string>",
"groupKey": "<string>",
"groupLabel": "<string>",
"accountGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cohortDomains": [
"<string>"
],
"measurementWindow": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"coverage": "complete",
"sourceNote": "<string>"
},
"estimateNotice": "<string>"
},
"payload": {
"workstreams": {
"technical": [
{
"actionId": "<string>",
"title": "<string>",
"workstream": "technical",
"whyNow": "<string>",
"priority": 50,
"ownedVsInferred": "owned",
"effort": "low",
"confidence": "low",
"regionLanguageNote": "<string>",
"ownerType": "editorial",
"evidenceRefs": [
"<string>"
],
"dependencies": [
"<string>"
]
}
],
"onPage": [
{
"actionId": "<string>",
"title": "<string>",
"workstream": "technical",
"whyNow": "<string>",
"priority": 50,
"ownedVsInferred": "owned",
"effort": "low",
"confidence": "low",
"regionLanguageNote": "<string>",
"ownerType": "editorial",
"evidenceRefs": [
"<string>"
],
"dependencies": [
"<string>"
]
}
],
"offPage": [
{
"actionId": "<string>",
"title": "<string>",
"workstream": "technical",
"whyNow": "<string>",
"priority": 50,
"ownedVsInferred": "owned",
"effort": "low",
"confidence": "low",
"regionLanguageNote": "<string>",
"ownerType": "editorial",
"evidenceRefs": [
"<string>"
],
"dependencies": [
"<string>"
]
}
],
"content": [
{
"actionId": "<string>",
"title": "<string>",
"workstream": "technical",
"whyNow": "<string>",
"priority": 50,
"ownedVsInferred": "owned",
"effort": "low",
"confidence": "low",
"regionLanguageNote": "<string>",
"ownerType": "editorial",
"evidenceRefs": [
"<string>"
],
"dependencies": [
"<string>"
]
}
]
},
"cannibalizationCandidates": {
"status": "observed_candidates",
"note": "<string>",
"items": [
{
"urls": [
"<string>"
],
"overlap": "<string>",
"evidenceRefs": [
"<string>"
]
}
]
},
"priorityActions": [
{
"actionId": "<string>",
"title": "<string>",
"workstream": "technical",
"whyNow": "<string>",
"priority": 50,
"ownedVsInferred": "owned",
"effort": "low",
"confidence": "low",
"regionLanguageNote": "<string>",
"ownerType": "editorial",
"evidenceRefs": [
"<string>"
],
"dependencies": [
"<string>"
]
}
],
"roadmap306090": {
"days030": [
{
"actionId": "<string>",
"measurementNote": "<string>",
"prerequisites": [
"<string>"
]
}
],
"days3160": [
{
"actionId": "<string>",
"measurementNote": "<string>",
"prerequisites": [
"<string>"
]
}
],
"days6190": [
{
"actionId": "<string>",
"measurementNote": "<string>",
"prerequisites": [
"<string>"
]
}
]
},
"measurementPlan": {
"guardrails": [
"<string>"
],
"ownedMetrics": [
{
"metric": "<string>",
"source": "<string>",
"measurementNote": "<string>",
"evidenceRefs": [
"<string>"
]
}
],
"inferredMetrics": [
{
"metric": "<string>",
"source": "<string>",
"measurementNote": "<string>",
"evidenceRefs": [
"<string>"
]
}
]
},
"intentClusters": [
{
"clusterId": "<string>",
"clusterLabel": "<string>",
"intent": "informational",
"keywords": [
"<string>"
],
"currentBrandPresence": {
"text": "<string>",
"basis": "owned",
"evidenceRefs": [
"<string>"
]
},
"recommendedPageRole": "<string>",
"evidenceRefs": [
"<string>"
],
"searchVolumeRange": {
"minimum": 1,
"maximum": 1,
"sourceNote": "<string>"
},
"competitorExamples": [
"<string>"
]
}
],
"ownedUrlMap": [
{
"url": "<string>",
"pageRole": "<string>",
"currentState": {
"text": "<string>",
"basis": "owned",
"evidenceRefs": [
"<string>"
]
},
"refreshCandidate": true,
"evidenceRefs": [
"<string>"
],
"targetClusterIds": [
"<string>"
]
}
]
},
"missingData": [
{
"code": "<string>",
"message": "<string>",
"sourceModule": "seo"
}
]
},
"childContext": {
"programRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"job": {
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"module": "seo",
"deliverable": "seo_strategy",
"state": "accepted",
"accessState": "available",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"childContext": {
"programRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"completedAt": "2023-11-07T05:31:56Z",
"items": [
{
"itemKey": "<string>",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "accepted",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>"
}
],
"errorCode": "<string>",
"statusMessage": "<string>",
"reused": false
},
"evidenceRefs": [
{
"id": "<string>",
"module": "seo",
"kind": "owned",
"contentHash": "<string>",
"sourceLabel": "<string>",
"sourceArtifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidenceRecordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"observedAt": "2023-11-07T05:31:56Z",
"limitations": [
"<string>"
]
}
],
"omissions": [
{
"code": "<string>",
"message": "<string>",
"sourceModule": "seo"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}SEO and Content Create
Read
GET
/
api
/
v1
/
brands
/
{brand_id}
/
brand-intelligence
/
{module}
-native-create
/
{revision_id}
Read
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Available options:
seo, content Query Parameters
Response
Successful Response
Required range:
x >= 1Available options:
seo, content Available options:
seo_strategy, seo_refresh, content_strategy, content_asset, content_plan Required string length:
1 - 500Available options:
draft, needs_review, approved Available options:
available, restricted, erased Show child attributes
Show child attributes
Show child attributes
Show child attributes
- SeoStrategyResult
- SeoRefreshResult
- ContentStrategyResult
- ContentAssetResult
- ContentPlanResult
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
80Show child attributes
Show child attributes
Maximum array length:
100Show child attributes
Show child attributes
Was this page helpful?